Modified World Conquest

Discussion of all aspects of multiplayer development: unit balancing, map development, server development, and so forth.

Moderator: Forum Moderators

Post Reply
babycoby
Posts: 2
Joined: July 16th, 2018, 11:57 am

Modified World Conquest

Post by babycoby »

Hi,
I'd really like to play the good old Modified World Conquest by ChaosRider, i have no understanding of all that is behind the game as much as coding etcc.., i tried tho to copy the add-on downloaded from the internet in the add-on folder, but in 1.14 and 1.16 versions it does not work.
I even tryed to modify the files such as blank spaces in units names, witch i know its a thing that gives errors when you try to run the addon, but still it does not work.

Obviously i'd like to play it with somebody but its very rare to find someone who has the time to play MWC as yall might know. So it would be enought to play it alone. I dont care witch version.

Please help me.
gnombat
Posts: 665
Joined: June 10th, 2010, 8:49 pm

Re: Modified World Conquest

Post by gnombat »

babycoby wrote: February 6th, 2024, 8:29 pm in 1.14 and 1.16 versions it does not work.
Have you tried running Wesnoth 1.12? It looks like it was never ported to Wesnoth 1.14.
User avatar
lhybrideur
Posts: 350
Joined: July 9th, 2019, 1:46 pm

Re: Modified World Conquest

Post by lhybrideur »

I think the question might actually be "how to port it to 1.14 or 1.16".
If this is so, you can try to check vghetto's port project where a method for porting is given.
babycoby
Posts: 2
Joined: July 16th, 2018, 11:57 am

Re: Modified World Conquest

Post by babycoby »

"Have you tried running Wesnoth 1.12? It looks like it was never ported to Wesnoth 1.14."

yes but the server does not exist on 1.12, also i tried to paste the MWC in the add-on folder of 1.12 and thought i could play it on non-official server or in local, but it does not work eather way unfortunately.

it gives errors about the file i pasted itself, i did delate all the white spaces abd sobstituted them with underscores, but it also sayes that

this is the copy and paste of the errors (in italian)

-----
Le seguenti estensioni presentavano degli errori e non è stato possibile caricarle: (eng: the folowing present errors, it was impossible to upload)
• D:/Documents/My Games/Wesnoth1.12/data/add-ons/ModifiedWorldConquest/_main.cfg
• D:/Documents/My Games/Wesnoth1.12/data/add-ons/War_Of_The_Gods/_main.cfg

Ti preghiamo di comunicare il fatto agli autori o ai manutentori delle varie estensioni.

Dettagli: (details)

Preprocessor symbol 'MISSILE_FRAME_MUZZLE_FLARE_MISS' expects 2 arguments, but has 0 arguments
at ~add-ons\\ModifiedWorldConquest\\units\\dwarves\\Mwc_Technocrat.cfg:77
included from ~add-ons\\ModifiedWorldConquest\\units.cfg:4
included from ~add-ons\\ModifiedWorldConquest\\_main.cfg:29

Preprocessor symbol 'MISSILE_FRAME_MUZZLE_FLARE_MISS' expects 2 arguments, but has 0 arguments
at ~add-ons\\War_Of_The_Gods\\macros\\Shop_edit.cfg:849
included from ~add-ons\\War_Of_The_Gods\\macros\\Macros_edit.cfg:1
included from ~add-ons\\War_Of_The_Gods\\macros\\Macros_edit_New.cfg:1
included from ~add-ons\\War_Of_The_Gods\\scenarios\\War_Of_The_Gods.cfg:1
included from ~add-ons\\War_Of_The_Gods\\_main.cfg:7
included from ~add-ons\\War_Of_The_Gods\\scenarios\\War_Of_The_Gods.cfg:294
included from ~add-ons\\War_Of_The_Gods\\_main.cfg:7
------


what do i have to do?
if anybody can help me thanks
User avatar
Ravana
Forum Moderator
Posts: 2916
Joined: January 29th, 2012, 12:49 am
Location: Estonia
Contact:

Re: Modified World Conquest

Post by Ravana »

MISSILE_FRAME_MUZZLE_FLARE_MISS has expected 2 arguments since 1.11.7, so the addon version you took cant be for 1.12.
Post Reply